Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Null_Filter_Builder Class Reference

A simple implementation of the filter builder. More...

`#include <EC_Filter_Builder.h>`

Inheritance diagram for TAO_EC_Null_Filter_Builder:

[legend]
Collaboration diagram for TAO_EC_Null_Filter_Builder:

[legend]
List of all members.

## Public Methods
| TAO_EC_Null_Filter_Builder (void)
| constructor.
virtual | ~TAO_EC_Null_Filter_Builder (void)
| destructor...
TAO_EC_Filter * | build (TAO_EC_ProxyPushSupplier *supplier, RtecEventChannelAdmin::ConsumerQOS &qos ACE_ENV_ARG_DECL) const

## Detailed Description

A simple implementation of the filter builder.

Simply creates a Null_Filter in every case.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Null_Filter_Builder::TAO_EC_Null_Filter_Builder | ( | void |  | ) |

| constructor.

TAO_EC_Null_Filter_Builder::~TAO_EC_Null_Filter_Builder | ( | void |  | ) | `[virtual]`

| destructor...

## Member Function Documentation

TAO_EC_Filter* TAO_EC_Null_Filter_Builder::build | ( | TAO_EC_ProxyPushSupplier * | supplier,
|  | RtecEventChannelAdmin::ConsumerQOS &qos | ACE_ENV_ARG_DECL
| ) | const`[virtual]`

| Create the filter, the caller must assume ownership of the filter returned. Implements TAO_EC_Filter_Builder.

The documentation for this class was generated from the following files:

- EC_Filter_Builder.h
- EC_Filter_Builder.cpp
- EC_Filter_Builder.i